apiVersion: apps/v1
kind: Deployment
metadata:
  name: docs-portal-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: docs-portal
  template:
    metadata:
      labels:
        app: docs-portal
    spec:
      imagePullSecrets:
      - name: gitea-registry-secret
      containers:
      - name: docs-portal
        image: gitea.cruzcloud.net/devops/docs-portal:v1.0.97
        ports:
        - containerPort: 80
        resources:
          requests:
            cpu: 50m
            memory: 64Mi
          limits:
            cpu: 200m
            memory: 128Mi
